From 1e96f34677fc526e585701534bc06a42898f5df8 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Mar 2025 06:46:37 +0000
Subject: [PATCH] libx11,libsm,xtrans: upgrade 1.8.11 -> 1.8.12,1.2.5 ->
 1.2.6,1.5.2 -> 1.6.0

---
 .../{libsm_1.2.5.bb => libsm_1.2.6.bb}        |  2 +-
 .../xorg-lib/libx11/disable_tests.patch       | 24 ++++++++++++-----
 .../{libx11_1.8.11.bb => libx11_1.8.12.bb}    |  2 +-
 .../xorg-lib/xtrans/multilibfix.patch         | 16 +++++++++---
 .../{xtrans_1.5.2.bb => xtrans_1.6.0.bb}      | 26 +++++++++++++++++--
 5 files changed, 55 insertions(+), 15 deletions(-)
 rename meta/recipes-graphics/xorg-lib/{libsm_1.2.5.bb => libsm_1.2.6.bb} (91%)
 rename meta/recipes-graphics/xorg-lib/{libx11_1.8.11.bb => libx11_1.8.12.bb} (92%)
 rename meta/recipes-graphics/xorg-lib/{xtrans_1.5.2.bb => xtrans_1.6.0.bb} (39%)

diff --git a/meta/recipes-graphics/xorg-lib/libsm_1.2.5.bb b/meta/recipes-graphics/xorg-lib/libsm_1.2.6.bb
similarity index 91%
rename from meta/recipes-graphics/xorg-lib/libsm_1.2.5.bb
rename to meta/recipes-graphics/xorg-lib/libsm_1.2.6.bb
index 52cca2bcd7..d7243c15a2 100644
--- a/meta/recipes-graphics/xorg-lib/libsm_1.2.5.bb
+++ b/meta/recipes-graphics/xorg-lib/libsm_1.2.6.bb
@@ -22,7 +22,7 @@ PE = "1"
 
 XORG_PN = "libSM"
 
-SRC_URI[sha256sum] = "2af9e12da5ef670dc3a7bce1895c9c0f1bfb0cb9e64e8db40fcc33f883bd20bc"
+SRC_URI[sha256sum] = "be7c0abdb15cbfd29ac62573c1c82e877f9d4047ad15321e7ea97d1e43d835be"
 
 PACKAGECONFIG ??= "${@bb.utils.filter('DISTRO_FEATURES', 'ipv6', d)}"
 PACKAGECONFIG[ipv6] = "--enable-ipv6,--disable-ipv6,"
diff --git a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
index c1b6cde534..d2c5f5f142 100644
--- a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
+++ b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
@@ -1,3 +1,8 @@
+From 37debe301336cfb61e7f81e9e47e5e1019177d8c Mon Sep 17 00:00:00 2001
+From: Marko Lindqvist <cazfi74@gmail.com>
+Date: Tue, 8 Jan 2013 09:16:37 +0200
+Subject: [PATCH] libx11: disable tests
+
 Upstream-Status: Inappropriate [disable feature]
 
 Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
@@ -5,18 +10,23 @@ Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
 Update for 1.6.1
 
 Signed-off-by: Kai Kang <kai.kang@windriver.com>
+---
+ nls/Makefile.am | 5 -----
+ 1 file changed, 5 deletions(-)
 
-diff -Nurd libX11-1.5.0/nls/Makefile.am libX11-1.5.0/nls/Makefile.am
---- libX11-1.5.0/nls/Makefile.am	2012-06-02 09:37:18.000000000 +0300
-+++ libX11-1.5.0/nls/Makefile.am	2013-01-02 16:10:24.960156131 +0200
-@@ -36,11 +36,6 @@
+diff --git a/nls/Makefile.am b/nls/Makefile.am
+index 7eda58e..4d4050b 100644
+--- a/nls/Makefile.am
++++ b/nls/Makefile.am
+@@ -36,11 +36,6 @@ locale.dir: locale.dir.pre
          < locale.dir.l1 > locale.dir.l2
-	cat locale.dir.l2 locale.dir.l1 > locale.dir
-
+ 	cat locale.dir.l2 locale.dir.l1 > locale.dir
+ 
 -if HAVE_PERL
 -LOG_COMPILER = $(PERL)
 -TESTS = compose-check.pl
 -endif HAVE_PERL
 -
-
+ 
  # Per-locale data files
+ 
diff --git a/meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb b/meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb
similarity index 92%
rename from meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb
rename to meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb
index d7c34c74a1..5ce5481743 100644
--- a/meta/recipes-graphics/xorg-lib/libx11_1.8.11.bb
+++ b/meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb
@@ -24,7 +24,7 @@ XORG_PN = "libX11"
 
 SRC_URI += "file://disable_tests.patch"
 
-SRC_URI[sha256sum] = "3b74e82943924b45a0b778cc6842976909c3010d9445a8fd185e1dca4d380e88"
+SRC_URI[sha256sum] = "fa026f9bb0124f4d6c808f9aef4057aad65e7b35d8ff43951cef0abe06bb9a9a"
 
 inherit gettext
 
diff --git a/meta/recipes-graphics/xorg-lib/xtrans/multilibfix.patch b/meta/recipes-graphics/xorg-lib/xtrans/multilibfix.patch
index c513bad20e..21872fe8fe 100644
--- a/meta/recipes-graphics/xorg-lib/xtrans/multilibfix.patch
+++ b/meta/recipes-graphics/xorg-lib/xtrans/multilibfix.patch
@@ -1,14 +1,22 @@
+From 721886265be1fa505f55a7797e089d426459339c Mon Sep 17 00:00:00 2001
+From: Richard Purdie <richard.purdie@linuxfoundation.org>
+Date: Fri, 29 Jun 2018 08:02:16 +0000
+Subject: [PATCH] xtrans: Fix multilib .pc file conflict
+
 The xtrans.pc file is installed into a non-arch directory yet contains libdir
 which can vary depending on which multilib is configured. The .pc file does
 not require libdir so remove this to fix multilib builds.
 
 Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
 Upstream-Status: Pending
+---
+ xtrans.pc.in | 1 -
+ 1 file changed, 1 deletion(-)
 
-Index: xtrans-1.3.5/xtrans.pc.in
-===================================================================
---- xtrans-1.3.5.orig/xtrans.pc.in
-+++ xtrans-1.3.5/xtrans.pc.in
+diff --git a/xtrans.pc.in b/xtrans.pc.in
+index cf3e44f..7752996 100644
+--- a/xtrans.pc.in
++++ b/xtrans.pc.in
 @@ -1,6 +1,5 @@
  prefix=@prefix@
  exec_prefix=@exec_prefix@
diff --git a/meta/recipes-graphics/xorg-lib/xtrans_1.5.2.bb b/meta/recipes-graphics/xorg-lib/xtrans_1.6.0.bb
similarity index 39%
rename from meta/recipes-graphics/xorg-lib/xtrans_1.5.2.bb
rename to meta/recipes-graphics/xorg-lib/xtrans_1.6.0.bb
index e391bf8a2b..456f31e6ea 100644
--- a/meta/recipes-graphics/xorg-lib/xtrans_1.5.2.bb
+++ b/meta/recipes-graphics/xorg-lib/xtrans_1.6.0.bb
@@ -1,3 +1,25 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -48,7 +48,7 @@
+#  
+#  ______________________________________________________________________________
+#  
+# -Copyright (c) 2002, 2005, Oracle and/or its affiliates.
+# +Copyright (c) 2002, 2025, Oracle and/or its affiliates.
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a
+#  copy of this software and associated documentation files (the "Software"),
+# 
+#
+
 SUMMARY = "XTrans: X Transport library"
 
 DESCRIPTION = "The X Transport Interface is intended to combine all \
@@ -10,7 +32,7 @@ except in the X Transport Interface code."
 require xorg-lib-common.inc
 
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://COPYING;md5=bc875e1c864f4f62b29f7d8651f627fa"
+LIC_FILES_CHKSUM = "file://COPYING;md5=d6091702432f176651d4bf09e61bbe2d"
 
 SRC_URI += "file://multilibfix.patch"
 
@@ -22,4 +44,4 @@ inherit gettext
 
 BBCLASSEXTEND = "native nativesdk"
 
-SRC_URI[sha256sum] = "5c5cbfe34764a9131d048f03c31c19e57fb4c682d67713eab6a65541b4dff86c"
+SRC_URI[sha256sum] = "faafea166bf2451a173d9d593352940ec6404145c5d1da5c213423ce4d359e92"
-- 
2.44.1

